# Gimp.Drawable.has_alpha

    @accepts(Gimp.Drawable)
    @returns(bool)
    def has_alpha(self):
        # Python wrapper for gimp_drawable_has_alpha()

Returns TRUE if the drawable has an alpha channel.

This procedure returns whether the specified drawable has an alpha channel. This can only be true for layers, and the associated type will be one of: { RGBA , GRAYA, INDEXEDA }.

self

  The drawable.

Returns